ru.bitel.oss.kernel.entity.common.bean

## Class EntityAttr

- java.lang.Object
- - ru.bitel.oss.kernel.entity.common.bean.EntityAttr

- Direct Known Subclasses:
    EntityAttrAddress, EntityAttrBoolean, EntityAttrContract, EntityAttrDate, EntityAttrEmail, EntityAttrHouse, EntityAttrInt, EntityAttrList, EntityAttrMultiList, EntityAttrPhone, EntityAttrText

      public abstract class EntityAttr
      extends java.lang.Object

  Атрибут (параметр сущности) или параметр договора. Абстрактный класс, который расширяют и реализуют EntityAttrText, EntityAttrList, EntityAttrAddress и другие.
  See Also:
    `EntitySpec`, `EntityAttrText`, `EntityAttrList`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `EntityAttr()`
    `protected` | `EntityAttr(int entityId, int entitySpecAttrId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEntityId()` Получение ID сущности, к которому принадлежит данный атрибут.
    `int` | `getEntitySpecAttrId()` Получение ID типа атрибута (для параметров договора - типа параметра).
    `abstract int` | `getType()` Возвращает тип параметра - `EntitySpecAttr#TYPE_TEXT`, `EntitySpecAttr#TYPE_LIST`, `EntitySpecAttr#TYPE_EMAIL` и т.д.
    `abstract java.lang.String` | `getTypeName()` Возвращает строковое представление типа параметра, например, "text", "list", "email" и т.д.
    `static EntityAttr` | `newInstance(int entitySpecAttrTypeId, int entityId, int entitySpecAttrId)` Создание пустого атрибута
    `void` | `setEntityId(int entityId)` Установка ID сущности, к которому принадлежит данный атрибут.
    `void` | `setEntitySpecAttrId(int entitySpecAttrId)` Установка ID типа атрибута (для параметров договора - типа параметра)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityAttr

          public EntityAttr()

    - #### EntityAttr

          protected EntityAttr(int entityId,
                               int entitySpecAttrId)

  - ### Method Detail

    - #### getType

          public abstract int getType()

      Возвращает тип параметра - `EntitySpecAttr#TYPE_TEXT`, `EntitySpecAttr#TYPE_LIST`, `EntitySpecAttr#TYPE_EMAIL` и т.д.
      Returns:
      See Also:
        `EntitySpecAttr`

    - #### getTypeName

          public abstract java.lang.String getTypeName()

      Возвращает строковое представление типа параметра, например, "text", "list", "email" и т.д.
      Returns:

    - #### getEntityId

          public int getEntityId()

      Получение ID сущности, к которому принадлежит данный атрибут. В случае договора это ID договора, в общем случае - ссылка на таблицу entity.
      Parameters:
        `entityId` -

    - #### setEntityId

          public void setEntityId(int entityId)

      Установка ID сущности, к которому принадлежит данный атрибут. В случае договора это ID договора, в общем случае - ссылка на таблицу entity.
      Parameters:
        `entityId` -

    - #### getEntitySpecAttrId

          public int getEntitySpecAttrId()

      Получение ID типа атрибута (для параметров договора - типа параметра).
      Returns:
      See Also:
        `EntitySpecAttr`

    - #### setEntitySpecAttrId

          public void setEntitySpecAttrId(int entitySpecAttrId)

      Установка ID типа атрибута (для параметров договора - типа параметра)
      Parameters:
        `entitySpecAttrId` -
      See Also:
        `EntitySpecAttr`

    - #### newInstance

          public static EntityAttr newInstance(int entitySpecAttrTypeId,
                                               int entityId,
                                               int entitySpecAttrId)

      Создание пустого атрибута
      Parameters:
        `entitySpecAttrTypeId` - тип - `EntitySpecAttr#TYPE_TEXT`, `EntitySpecAttr#TYPE_LIST`, `EntitySpecAttr#TYPE_EMAIL` и т.д.
        `entityId` - - ID сущности или ID договора
        `entitySpecAttrId` - - ID типа атрибута (типа параметра)
      Returns:
      See Also:
        `EntitySpecAttr`